/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

#ifndef _sl_bool_h
#define _sl_bool_h

#include <spar/sl_conf.h>

__BEGIN_DECLS

inline bool sl_bool_and (bool a, bool b);
inline bool sl_bool_or (bool a, bool b);
inline bool sl_bool_not (bool a);
inline bool sl_bool_nand (bool a, bool b);
inline bool sl_bool_nor (bool a, bool b);
	
__END_DECLS

#define SL_AND(a,b)	sl_bool_and(a,b)
#define SL_OR(a,b)	sl_bool_or(a,b)
#define SL_NOT(a,b)	sl_bool_not(a,b)
#define SL_NOR(a,b)	sl_bool_nor(a,b)
#define SL_NAND(a,b)	sl_bool_nand(a,b)

#endif /* _sl_init_h */
