/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

#ifndef _sl_formula_h
#define _sl_formula_h

#include <spar/sl_conf.h>

__BEGIN_DECLS
/*
 * trigonometric.c 
 */
inline double sl_formula_tan (const double alpha);
inline double sl_formula_cotan (const double alpha);
inline double sl_formula_sin_add (const double alpha, const double beta);	
inline double sl_formula_sin_sub (const double alpha, const double beta);
inline double sl_formula_cos_add (const double alpha, const double beta);
inline double sl_formula_cos_sub (const double alpha, const double beta);
inline double sl_formula_tan_add (const double alpha, const double beta);	
inline double sl_formula_tan_sub (const double alpha, const double beta);	
inline double sl_formula_sin_dup (const double alpha);	
inline double sl_formula_cos_dup (const double alpha);	
inline double sl_formula_tan_dup (const double alpha);	
inline double sl_formula_sin_mul_sin (const double alpha, const double beta);
inline double sl_formula_sin_mul_cos (const double alpha, const double beta);
inline double sl_formula_cos_mul_cos (const double alpha, const double beta);
inline double sl_formula_sin_plus_sin (const double alpha, const double beta);
inline double sl_formula_cos_plus_cos (const double alpha, const double beta);
inline double sl_formula_sin_minus_sin (const double alpha, const double beta);
inline double sl_formula_cos_minus_cos (const double alpha, const double beta);
inline double sl_formula_sin_bisec (const double alpha); 
inline double sl_formula_cos_bisec (const double alpha);
inline double sl_formula_tan_bisec (const double alpha); 
	

__END_DECLS
#endif /* _sl_formula_h */
