/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

/* 
 *  This file contains some basic programmer's 
 *  facilities, however is still incomplete and allow the user to do a 
 *  a basic dealing with modules.
 */

#ifndef _sl_module_devel_h_
#define _sl_module_devel_h_

#include <spar/sl_module.h>

/*
 *  Check if is defined SL_MODULE_BUILTIN
 *  on success the module can is compiled
 *  as shared library and loaded at the text frontend boot
 *
 *  define this symbol before including this file!
 */

#ifdef SL_MODULE_BUILTIN

/*
 *  SL_MODULE_EXPORT(x)
 *
 *  Return the adress of this module. Needed by the module loader.
 */
#define SL_MODULE_EXPORT(x) 	\
	sl_module * 		\
	sl_get_module (void) 	\
	{ 			\
		return (sl_module *) &((x)); 	\
	}
#else
#error Define the symbol SL_MODULE_BUILTIN before including this file
#endif /* SL_MODULE_BUILTIN */

#endif /* _sl_module_h_ */
