/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */
#ifndef _sl_sort_h_
#define _sl_sort_h_

#include <spar/sl_conf.h>

__BEGIN_DECLS
/* */
int sl_strncmp (const char *a, const char *b, sl_size len);
int sl_dblcmp (const double a, const double b);
int sl_intcmp (const int a, const int b);

int sl_hsort (void **v, int n, int (*cmp) ());
int sl_qsort (void *v, int n, int size, int (*cmp) ());
void *sl_bsearch (const void *key, const void *base, int nmemb,
		  int size, int (*cmp) (const void *, const void *));

__END_DECLS
#endif /* _sl_sort_h_ */
