/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

#ifndef _sl_table_h_
#define _sl_table_h_

#include <spar/sl_conf.h>

struct table_column_s
{
  sl_message (name);
  int len;
};

typedef struct table_column_s sl_table_column;

__BEGIN_DECLS

/* */
int sl_table_create (const char *title,
		       sl_table_column cols[], int rows, void (*print) (int));

/*
 *  Common functions that prints one item of the respective table
 *  You can create your own function
 */
void sl_table_print_constant (int index);
void sl_table_print_error (int index);
void sl_table_print_function (int index);

__END_DECLS
#define SL_TABLE_LENGHT(x)	(sizeof(x)/sizeof(x[0]))
#endif /* _sl_table_h_ */
