/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

#ifndef _sl_test_h
#define _sl_test_h

#include <spar/sl_conf.h>
#include <spar/sl_complex.h>

__BEGIN_DECLS 

int sl_test_init (void);
int sl_test_re_init (void);
int sl_test_double (double result, double expected);
int sl_test_double_with_message (const char *msg, double result,
				 double expected);
int sl_test_complex (sl_complex result, sl_complex expected);
int sl_test_complex_with_message (const char *msg, sl_complex result,
				  sl_complex expected);
int sl_test_summary_with_message (const char *msg);

/*
 *  Benchmrk 
 */
void sl_test_benchmk_reset (void);
void sl_test_benchmk_start (void);
void sl_test_benchmk_stop (void);
double sl_test_benchmk (void);

__END_DECLS
#endif /* _sl_test_h */
