/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

#ifndef _sl_version_h
#define _sl_version_h

#include <spar/sl_conf.h>

__BEGIN_DECLS
/**
 *  Prints the current library version as:
 *      x.y  	on releases with PATCH_LEVEL == 0
 *      x.y.z   on releases with PACTH_LEVEL > 0
 */
void sl_version (void);

/**
 *  Prints both Spar and system infos  
 */
void sl_info (void);

void sl_warranty (void);

int sl_major_version;
int sl_minor_version;
int sl_patch_level;

__END_DECLS
#endif /* _sl_version_h */
